net-misc/asterisk: Drop package
authorKristian Fiskerstrand <kf@sumptuouscapital.com>
Sun, 25 Jan 2015 19:59:46 +0000 (20:59 +0100)
committerKristian Fiskerstrand <kf@sumptuouscapital.com>
Sun, 25 Jan 2015 19:59:46 +0000 (20:59 +0100)
17 files changed:
net-misc/asterisk/Manifest [deleted file]
net-misc/asterisk/asterisk-11.14.1-r1.ebuild [deleted file]
net-misc/asterisk/files/1.6.2/CVS/Entries [deleted file]
net-misc/asterisk/files/1.6.2/CVS/Repository [deleted file]
net-misc/asterisk/files/1.6.2/CVS/Root [deleted file]
net-misc/asterisk/files/1.6.2/asterisk.logrotate3 [deleted file]
net-misc/asterisk/files/1.6.2/call_data.txt [deleted file]
net-misc/asterisk/files/1.6.2/find_call_ids.sh [deleted file]
net-misc/asterisk/files/1.6.2/find_call_sip_trace.sh [deleted file]
net-misc/asterisk/files/1.6.2/sip_calc_auth [deleted file]
net-misc/asterisk/files/1.8.0/CVS/Entries [deleted file]
net-misc/asterisk/files/1.8.0/CVS/Repository [deleted file]
net-misc/asterisk/files/1.8.0/CVS/Root [deleted file]
net-misc/asterisk/files/1.8.0/asterisk.confd [deleted file]
net-misc/asterisk/files/1.8.0/asterisk.initd7 [deleted file]
net-misc/asterisk/files/1.8.0/find_call_ids.sh [deleted file]
net-misc/asterisk/files/1.8.0/find_call_sip_trace.sh [deleted file]

diff --git a/net-misc/asterisk/Manifest b/net-misc/asterisk/Manifest
deleted file mode 100644 (file)
index 4054b03..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
-AUX 1.6.2/asterisk.logrotate3 436 SHA256 675705506d1adf7ec8c278581412a7ed69eed2735fea6c5f2faf368fb4ad9a26 SHA512 de9893ce0b460e711cc107779afd40150398ef53f901923a7378757df2936c1bde43c39ba50924f913db81ce66550a9d2e1bb66c5712021b5f8c652d3b3740c4 WHIRLPOOL 34606860de1f8d7f45165035a4d3c0ff8726843508f0664a77db90d90556166dd3d6909dfe0f1b616e239c182e3b97f2e9a224e76628312a5e0d2a6e6a1259e7
-AUX 1.6.2/call_data.txt 1120 SHA256 24a5b8dab0f46ffff6dddc50d4ab8d498ec90bc2a0977249f65471b3f0948a0b SHA512 0bc4ab49d3a7493d1871c63234fb4c4ec6725491d350e28836f1220d1c17097974d47afcf19265348215d3076e12266688df513614f595cbae8f996cbb6fc7cb WHIRLPOOL e28db9b7c11e9106edc3d00f611960ea3290c442607c14b0d30ba2ab773deea6b70ab37f88b60f559062b18364d7d142526d045280ff8559acf560163a9a04b7
-AUX 1.6.2/find_call_ids.sh 446 SHA256 742289cc719fbf0f119e05516b20da3fef78908f5dd08f56eaa49abe10104e77 SHA512 b3998652fa93b0cb9cf2b1a495e9d02ea4a1a0c82f6fd812df8e47d58c9da89fd8537632936b43ac72165ba38c9844ba721198a823f954feb0c7ea8a7221893b WHIRLPOOL eba7c3e8a8c2acee276177daf3649c34a8d863116c96f23ee8b377968d5ad13da16389e2881299b59270afe7cc961c8b1852d4aad13c02734bf96cd84a3ce604
-AUX 1.6.2/find_call_sip_trace.sh 530 SHA256 6818f5cde5f99b7c9be35d20e2c84c61cf0d14f63aa1e3952d0dc91ecb93e3a4 SHA512 bfff2511fd2cb9fae443c58dd627c96d831e6d5412f19fc172de1621ce031bbac2851250a2886565019f3aa5484ba41358ffdb003a6be05ed40022d30d7a3c55 WHIRLPOOL 098d8556779b2c053f8bb808354ee9f90e92a63fda99b5eb405407a90889247fa413f964261622f2749a0860bbc2b08b25c3d823d2f014b7c17cdc578ade475d
-AUX 1.6.2/sip_calc_auth 493 SHA256 18590fd24d6fa0b7392228695b764351ac9af25482e22247bf80471858a90c4c SHA512 07f11ac176206c81d491be8014436058196fcb21e5cefff1aa039c23df0c002d252d381c4bf1a55f6c7ceb5a58baa50282493c8c62e4ed8f77716da2ac7a0186 WHIRLPOOL 637cbad803360a4f7d2a5aa85b689fd072f6af7592e440025013e47cad77e1f54d614c15194511e37ba1e57630db97982a368cfdfc80264e8733d897a3aa0a10
-AUX 1.8.0/asterisk.confd 2203 SHA256 32f60bc5ff42edb1ecda236f6e87d67fd723533658bd1efb6085e87736536969 SHA512 53219b410f29f9974fa2ec33ffb0aa914735e4a0897eed0f20a0cd740701757e56f48d0a954a1955cca7c94b2a17cd62dd494ba89a84c8a29312cb633288eee1 WHIRLPOOL 17fef9b012a13529864295629068d034bdd78bba3fc6211e5c2a888097614510c159747768ebb54e6e59999a5254353592f0da665541e82f4fdb2283f0d8dcc1
-AUX 1.8.0/asterisk.initd7 9382 SHA256 7951901371035da2cb958d029ddbd8af276a5de7becd01c9bd36d0c4576461f8 SHA512 44dc81f3b3cab8e65344dcb2767fdd6b573f9ee587c78afa6873995a019b60c1c8bfda1c9f3baf6b5e71ae76ca62fff53e5f2e27deaeb4f88fc78bfd54593707 WHIRLPOOL dfd7f5c4c7fe5c65181a30259bf96f5a813548733b298e9c41319812d4cd47035147616264d4bb91193fcfe81f6ea9fcdbb288a3759b9e86041116885613637b
-AUX 1.8.0/find_call_ids.sh 1078 SHA256 185d0f55f54d044eb4b4dc64954e5191f8b993d139749bfe869e34f3ecff9d09 SHA512 1690eb3ea9eb51711df9fd7c121dbc520a2a15870fa06523f096968386ca68a132a46e361b9d19367c7089cd9ad18132ed02ef0aedd990d5939550182a3366c9 WHIRLPOOL f123f60557066707d0c276451af32f5561abb8db7e8d4eeb3a2da871ae0245108e42d28c7ff77d228a963e5f5326f7382b0ac54f92fc1bfeec2c085b9b237a15
-AUX 1.8.0/find_call_sip_trace.sh 1115 SHA256 e1ebeb1dab05f552f89f380719d319cdf579cb6aeb86a9010e13e14c57f55985 SHA512 e679f3953b2e397d7c80bb2f0ca3db848f07ba97ca139c87224de4467f8172034eb4372e5ddd68116774a7b9d5fd48aa30d809e2af2c6e6e0747762c69090b6a WHIRLPOOL 8c30be245556b37dd45dd5ff5cf5c3141050f60c3e286631520f8114e167c6bd4f7930be21e57e93fd183ab65dfbd3b95b8e342808870979b67977f3ce189ebf
-DIST asterisk-11.14.1.tar.gz 34966823 SHA256 bc46e3b8dcfec84ac327000ad11fcce96869b256612a71bee5d19b7c5e93b8a8 SHA512 05aed902b010e43a8cdcd3d186ba762a9532695aaa3c184d6146baaff62186b7ecbc0052a8fb6fed8a4878fef94746c3f67a91ca3249299a8fe603bf25a6f29b WHIRLPOOL 720a133ededc5c34077fdb592f3fb4bdd99524315b4b4a1aff41d5b8adf8a257bc48e57dda936953629408c1dff834dd0156367df80e4189f58b0173926e3894
-DIST gentoo-asterisk-patchset-3.13.tar.bz2 6321 SHA256 2eb19760f2b2917ff651296a3ab6332e2f087abfa4127d7e3b15d079b65cdf98 SHA512 b0d4f23fe09426dedfc67d2b022388e6c931fa38842ed5436beb3ff4033ce5b83e95d7513bbe3d1def0a98806450713c75b32b7a9211160b12767a8e49f14dde WHIRLPOOL 6e1117a2cad8646551acab72c5436030483fee550bcbfaa6b36745a80896503ce7b20e9c36ee81789331f2b086cf71bc3f213d288d90a189befe4c6a07b9876b
-EBUILD asterisk-11.14.1-r1.ebuild 9530 SHA256 578dba5a3a629ef9a4e204e7d82a18da019f0b928e694304e830c1fb01349bee SHA512 858b40d60f334fb2ad0f606c83cdbc3ae190d915d9246a055a6dca5031b3505c73d9e88b5e60e7576443b7ce3db27b295daf51948ffec84d175f5a1fb5086770 WHIRLPOOL 13ad576ab9b1b5653c29b28dd3e864cdca43ebe1687419f7c812c17f6d7984de186d87d683a313b64136f2ade8acfdcf8e2c84572ab3e6382ab94517f4c6d7cb
-MISC Manifest.orig 4579 SHA256 3d0f777a9a9001c348033f83bd354f63b739e34425f2b805bdfae08a2cedf694 SHA512 59cff8e6b171ee1458c3aac7c15bf215d92b092e3961dbb45936dec8e8c51773e0cf97ae2c7ad4415a390ebbbde8c0a676ff7e78d2d5047ccfc5af01ac40cfaa WHIRLPOOL 5f302753d06224c8febbd4b65f29192af4450ecbfc542bf812049294a2bb53e03ed325a5d98d554319b35ba38988abedc83c40b1dc68fc8a8321ca3d6243dcc4
diff --git a/net-misc/asterisk/asterisk-11.14.1-r1.ebuild b/net-misc/asterisk/asterisk-11.14.1-r1.ebuild
deleted file mode 100644 (file)
index c129ea8..0000000
+++ /dev/null
@@ -1,322 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/asterisk/asterisk-11.14.1.ebuild,v 1.3 2014/11/24 15:26:23 ago Exp $
-
-EAPI=5
-inherit autotools base eutils linux-info multilib user
-
-MY_P="${PN}-${PV/_/-}"
-
-DESCRIPTION="Asterisk: A Modular Open Source PBX System"
-HOMEPAGE="http://www.asterisk.org/"
-SRC_URI="http://downloads.asterisk.org/pub/telephony/asterisk/releases/${MY_P}.tar.gz
-        mirror://gentoo/gentoo-asterisk-patchset-3.13.tar.bz2"
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 x86"
-
-IUSE_VOICEMAIL_STORAGE="
-       +voicemail_storage_file
-       voicemail_storage_odbc
-       voicemail_storage_imap
-"
-IUSE="${IUSE_VOICEMAIL_STORAGE} alsa bluetooth calendar +caps cluster curl dahdi debug doc freetds gtalk http iconv ilbc jabber ldap libedit lua mysql newt +samples odbc osplookup oss portaudio postgres radius selinux snmp span speex srtp static syslog vorbis meetme"
-IUSE_EXPAND="VOICEMAIL_STORAGE"
-REQUIRED_USE="gtalk? ( jabber )
-       ^^ ( ${IUSE_VOICEMAIL_STORAGE/+/} )
-       voicemail_storage_odbc? ( odbc )
-       meetme? ( dahdi )
-"
-
-EPATCH_SUFFIX="patch"
-PATCHES=( "${WORKDIR}/asterisk-patchset" )
-
-CDEPEND="dev-db/sqlite:3
-       dev-libs/popt
-       dev-libs/libxml2
-       dev-libs/openssl
-       sys-libs/ncurses
-       sys-libs/zlib
-       alsa? ( media-libs/alsa-lib )
-       bluetooth? ( net-wireless/bluez )
-       calendar? ( net-libs/neon
-                dev-libs/libical
-                dev-libs/iksemel )
-       caps? ( sys-libs/libcap )
-       cluster? ( sys-cluster/corosync )
-       curl? ( net-misc/curl )
-       dahdi? ( >=net-libs/libpri-1.4.12_beta2
-               net-misc/dahdi-tools )
-       freetds? ( dev-db/freetds )
-       gtalk? ( dev-libs/iksemel )
-       http? ( dev-libs/gmime:2.6 )
-       iconv? ( virtual/libiconv )
-       ilbc? ( dev-libs/ilbc-rfc3951 )
-       jabber? ( dev-libs/iksemel )
-       ldap? ( net-nds/openldap )
-       libedit? ( dev-libs/libedit )
-       lua? ( dev-lang/lua )
-       mysql? ( virtual/mysql )
-       newt? ( dev-libs/newt )
-       odbc? ( dev-db/unixODBC )
-       osplookup? ( net-libs/osptoolkit )
-       portaudio? ( media-libs/portaudio )
-       postgres? ( virtual/postgresql )
-       radius? ( net-dialup/radiusclient-ng )
-       snmp? ( net-analyzer/net-snmp )
-       span? ( media-libs/spandsp )
-       speex? ( media-libs/speex )
-       srtp? ( net-libs/libsrtp )
-       vorbis? ( media-libs/libvorbis )"
-
-DEPEND="${CDEPEND}
-       !net-libs/openh323
-       !net-libs/pjsip
-       voicemail_storage_imap? ( virtual/imap-c-client )
-       virtual/pkgconfig
-"
-
-RDEPEND="${CDEPEND}
-       selinux? ( sec-policy/selinux-asterisk )
-       syslog? ( virtual/logger )"
-
-PDEPEND="net-misc/asterisk-core-sounds
-       net-misc/asterisk-extra-sounds
-       net-misc/asterisk-moh-opsound"
-
-S="${WORKDIR}/${MY_P}"
-
-pkg_setup() {
-       CONFIG_CHECK="~!NF_CONNTRACK_SIP"
-       local WARNING_NF_CONNTRACK_SIP="SIP (NAT) connection tracking is enabled. Some users
-       have reported that this module dropped critical SIP packets in their deployments. You
-       may want to disable it if you see such problems."
-       check_extra_config
-
-       enewgroup asterisk
-       enewgroup dialout 20
-       enewuser asterisk -1 -1 /var/lib/asterisk "asterisk,dialout"
-}
-
-src_prepare() {
-       base_src_prepare
-       AT_M4DIR=autoconf eautoreconf
-}
-
-src_configure() {
-       local vmst
-
-       econf \
-               --libdir="/usr/$(get_libdir)" \
-               --localstatedir="/var" \
-               --with-crypto \
-               --with-gsm=internal \
-               --with-popt \
-               --with-ssl \
-               --with-z \
-               --without-pwlib \
-               $(use_with caps cap) \
-               $(use_with http gmime) \
-               $(use_with newt) \
-               $(use_with portaudio)
-
-       # Blank out sounds/sounds.xml file to prevent
-       # asterisk from installing sounds files (we pull them in via
-       # asterisk-{core,extra}-sounds and asterisk-moh-opsound.
-       >"${S}"/sounds/sounds.xml
-
-       # That NATIVE_ARCH chatter really is quite bothersome
-       sed -i 's/NATIVE_ARCH=/NATIVE_ARCH=0/' build_tools/menuselect-deps || die "Unable to squelch noisy build system"
-
-       # Compile menuselect binary for optional components
-       emake menuselect.makeopts
-
-       # Broken functionality is forcibly disabled (bug #360143)
-       menuselect/menuselect --disable chan_misdn menuselect.makeopts
-       menuselect/menuselect --disable chan_ooh323 menuselect.makeopts
-
-       # Utility set is forcibly enabled (bug #358001)
-       menuselect/menuselect --enable smsq menuselect.makeopts
-       menuselect/menuselect --enable streamplayer menuselect.makeopts
-       menuselect/menuselect --enable aelparse menuselect.makeopts
-       menuselect/menuselect --enable astman menuselect.makeopts
-
-       # this is connected, otherwise it would not find
-       # ast_pktccops_gate_alloc symbol
-       menuselect/menuselect --enable chan_mgcp menuselect.makeopts
-       menuselect/menuselect --enable res_pktccops menuselect.makeopts
-
-       # SSL is forcibly enabled, IAX2 & DUNDI are expected to be available
-       menuselect/menuselect --enable pbx_dundi menuselect.makeopts
-       menuselect/menuselect --enable func_aes menuselect.makeopts
-       menuselect/menuselect --enable chan_iax2 menuselect.makeopts
-
-       # SQlite3 is now the main database backend, enable related features
-       menuselect/menuselect --enable cdr_sqlite3_custom menuselect.makeopts
-       menuselect/menuselect --enable cel_sqlite3_custom menuselect.makeopts
-
-       # The others are based on USE-flag settings
-       use_select() {
-               local state=$(use "$1" && echo enable || echo disable)
-               shift # remove use from parameters
-
-               while [[ -n $1 ]]; do
-                       menuselect/menuselect --${state} "$1" menuselect.makeopts
-                       shift
-               done
-       }
-
-       use_select alsa                 chan_alsa
-       use_select bluetooth            chan_mobile
-       use_select calendar             res_calendar res_calendar_{caldav,ews,exchange,icalendar}
-       use_select cluster              res_corosync
-       use_select curl                 func_curl res_config_curl res_curl
-       use_select dahdi                app_dahdibarge app_dahdiras chan_dahdi codec_dahdi res_timing_dahdi
-       use_select freetds              {cdr,cel}_tds
-       use_select gtalk                chan_motif
-       use_select http                 res_http_post
-       use_select iconv                func_iconv
-       use_select jabber               res_xmpp
-       use_select ilbc                 codec_ilbc format_ilbc
-       use_select ldap                 res_config_ldap
-       use_select lua                  pbx_lua
-       use_select mysql                app_mysql cdr_mysql res_config_mysql
-       use_select odbc                 cdr_adaptive_odbc res_config_odbc {cdr,cel,res,func}_odbc
-       use_select osplookup            app_osplookup
-       use_select oss                  chan_oss
-       use_select postgres             {cdr,cel}_pgsql res_config_pgsql
-       use_select radius               {cdr,cel}_radius
-       use_select snmp                 res_snmp
-       use_select span                 res_fax_spandsp
-       use_select speex                {codec,func}_speex
-       use_select srtp                 res_srtp
-       use_select syslog               cdr_syslog
-       use_select vorbis               format_ogg_vorbis
-       use_select meetme               app_meetme
-
-       # Voicemail storage ...
-       for vmst in ${IUSE_VOICEMAIL_STORAGE/+/}; do
-               if use ${vmst}; then
-                       menuselect/menuselect --enable $(echo ${vmst##*_} | tr '[:lower:]' '[:upper:]')_STORAGE menuselect.makeopts
-               fi
-       done
-
-       if use debug; then
-               for o in DONT_OPTIMIZE DEBUG_THREADS BETTER_BACKTRACES; do
-                       menuselect/menuselect --enable $o menuselect.makeopts
-               done
-       fi
-}
-
-src_compile() {
-       ASTLDFLAGS="${LDFLAGS}" emake
-}
-
-src_install() {
-       mkdir -p "${D}"usr/$(get_libdir)/pkgconfig || die
-       emake DESTDIR="${D}" installdirs
-       emake DESTDIR="${D}" install
-
-       if use radius; then
-               insinto /etc/radiusclient-ng/
-               doins contrib/dictionary.digium
-       fi
-       diropts -m 0750 -o root -g asterisk
-       keepdir /etc/asterisk
-       if use samples; then
-               emake DESTDIR="${D}" samples
-               for conffile in "${D}"etc/asterisk/*.*
-               do
-                       chown root:root $conffile
-                       chmod 0644 $conffile
-               done
-               einfo "Sample files have been installed"
-       else
-               einfo "Skipping installation of sample files..."
-               rm -f  "${D}"var/lib/asterisk/mohmp3/* || die
-               rm -f  "${D}"var/lib/asterisk/sounds/demo-* || die
-               rm -f  "${D}"var/lib/asterisk/agi-bin/* || die
-               rm -f  "${D}"etc/asterisk/* || die
-       fi
-       rm -rf "${D}"var/spool/asterisk/voicemail/default || die
-
-       # keep directories
-       diropts -m 0770 -o asterisk asterisk
-       keepdir /var/lib/asterisk
-       keepdir /var/spool/asterisk
-       keepdir /var/spool/asterisk/{system,tmp,meetme,monitor,dictate,voicemail}
-       diropts -m 0750 -o asterisk -g asterisk
-       keepdir /var/log/asterisk/{cdr-csv,cdr-custom}
-
-       newinitd "${FILESDIR}"/1.8.0/asterisk.initd7 asterisk
-       newconfd "${FILESDIR}"/1.8.0/asterisk.confd asterisk
-
-       # install the upgrade documentation
-       #
-       dodoc README UPGRADE* BUGS CREDITS
-
-       # install extra documentation
-       #
-       if use doc
-       then
-               dodoc doc/*.txt
-               dodoc doc/*.pdf
-       fi
-
-       # install SIP scripts; bug #300832
-       #
-       dodoc "${FILESDIR}/1.6.2/sip_calc_auth"
-       dodoc "${FILESDIR}/1.8.0/find_call_sip_trace.sh"
-       dodoc "${FILESDIR}/1.8.0/find_call_ids.sh"
-       dodoc "${FILESDIR}/1.6.2/call_data.txt"
-
-       # install logrotate snippet; bug #329281
-       #
-       insinto /etc/logrotate.d
-       newins "${FILESDIR}/1.6.2/asterisk.logrotate3" asterisk
-}
-
-pkg_postinst() {
-       #
-       # Announcements, warnings, reminders...
-       #
-       einfo "Asterisk has been installed"
-       echo
-       elog "If you want to know more about asterisk, visit these sites:"
-       elog "http://www.asteriskdocs.org/"
-       elog "http://www.voip-info.org/wiki-Asterisk"
-       echo
-       elog "http://www.automated.it/guidetoasterisk.htm"
-       echo
-       elog "Gentoo VoIP IRC Channel:"
-       elog "#gentoo-voip @ irc.freenode.net"
-       echo
-       echo
-       elog "Please read the Asterisk 11 upgrade document:"
-       elog "https://wiki.asterisk.org/wiki/display/AST/Upgrading+to+Asterisk+11"
-}
-
-pkg_config() {
-       einfo "Do you want to reset file permissions and ownerships (y/N)?"
-
-       read tmp
-       tmp="$(echo $tmp | tr '[:upper:]' '[:lower:]')"
-
-       if [[ "$tmp" = "y" ]] ||\
-               [[ "$tmp" = "yes" ]]
-       then
-               einfo "Resetting permissions to defaults..."
-
-               for x in spool run lib log; do
-                       chown -R asterisk:asterisk "${ROOT}"var/${x}/asterisk
-                       chmod -R u=rwX,g=rwX,o=    "${ROOT}"var/${x}/asterisk
-               done
-
-               chown -R root:asterisk  "${ROOT}"etc/asterisk
-               chmod -R u=rwX,g=rwX,o= "${ROOT}"etc/asterisk
-
-               einfo "done"
-       else
-               einfo "skipping"
-       fi
-}
diff --git a/net-misc/asterisk/files/1.6.2/CVS/Entries b/net-misc/asterisk/files/1.6.2/CVS/Entries
deleted file mode 100644 (file)
index b8d461f..0000000
+++ /dev/null
@@ -1,6 +0,0 @@
-/asterisk.logrotate3/1.1/Fri Oct 15 17:30:59 2010//
-/call_data.txt/1.1/Mon Jul 19 15:48:50 2010//
-/find_call_ids.sh/1.1/Mon Jul 19 15:48:50 2010//
-/find_call_sip_trace.sh/1.1/Mon Jul 19 15:48:50 2010//
-/sip_calc_auth/1.1/Mon Jul 19 15:48:50 2010//
-D
diff --git a/net-misc/asterisk/files/1.6.2/CVS/Repository b/net-misc/asterisk/files/1.6.2/CVS/Repository
deleted file mode 100644 (file)
index fe8b1f9..0000000
+++ /dev/null
@@ -1 +0,0 @@
-gentoo-x86/net-misc/asterisk/files/1.6.2
diff --git a/net-misc/asterisk/files/1.6.2/CVS/Root b/net-misc/asterisk/files/1.6.2/CVS/Root
deleted file mode 100644 (file)
index f630ad3..0000000
+++ /dev/null
@@ -1 +0,0 @@
-:ext:k_f@cvs.gentoo.org:/var/cvsroot
diff --git a/net-misc/asterisk/files/1.6.2/asterisk.logrotate3 b/net-misc/asterisk/files/1.6.2/asterisk.logrotate3
deleted file mode 100644 (file)
index 69296c9..0000000
+++ /dev/null
@@ -1,25 +0,0 @@
-/var/log/asterisk/messages /var/log/asterisk/queue_log {
-       missingok
-       notifempty
-
-       postrotate
-               /usr/sbin/asterisk -rnx "logger reload" || /bin/true
-       endscript
-}
-
-/var/log/asterisk/debug /var/log/asterisk/full {
-       missingok
-       notifempty
-       daily
-
-       postrotate
-               /usr/sbin/asterisk -rnx "logger reload" || /bin/true
-       endscript
-}
-
-/var/log/asterisk/cdr-csv/*.csv /var/log/asterisk/cdr-custom/*.csv {
-       missingok
-       notifempty
-       weekly
-       rotate 52
-}
diff --git a/net-misc/asterisk/files/1.6.2/call_data.txt b/net-misc/asterisk/files/1.6.2/call_data.txt
deleted file mode 100644 (file)
index ba9cbbb..0000000
+++ /dev/null
@@ -1,32 +0,0 @@
-It's sometimes useful to look at SIP conversations in retrospect.  If you have
-a troublesome system, enable sip debug (in the CLI: sip set debug on), set up
-logger.conf to log it to some file and then you can use the two scripts here to
-extract the SIP converssations as seen by asterisk.
-
-find_call_ids.sh:
-
-This script will locate Call-ID values given an A and B number. Just invoke it with:
-
-find_call_ids.sh /path/to/log A-num B-num
-
-eg:
-
-find_call_ids.sh /var/log/asterisk/debug 102 105
-
-To find the Call-IDs for calls going from ext 102 to ext 105 (depends on your
-exact setup and the actual values being passed in the SIP INVITE packets)
-
-find_call_sip_trace.sh
-
-This script will extract a SIP conversation from the log for one or more
-Call-ID values.  Invoke with:
-
-find_call_sip_trace.sh /path/to/log Call-ID [...]
-
-Eg:
-
-find_call_sip_trace.sh /var/log/asterisk/debug 12341665haf434qgrq3@192.168.0.5 123123@192.168.0.3
-
-This will find the SIP packets for those two conversations from the log
-(interleaving the packets in the order asterisk output them - useful for
-analysing the two SIP legs of the same call).
diff --git a/net-misc/asterisk/files/1.6.2/find_call_ids.sh b/net-misc/asterisk/files/1.6.2/find_call_ids.sh
deleted file mode 100644 (file)
index c4689bd..0000000
+++ /dev/null
@@ -1,17 +0,0 @@
-#! /bin/bash
-
-logfile=$1
-anum=$2
-bnum=$3
-
-function usage()
-{
-       echo "USAGE: $1 logfile anum bnum"
-       exit -1
-}
-
-[ -r "${logfile}" ] || usage $0
-[ -n "${anum}" ] || usage $0
-[ -n "${bnum}" ] || usage $0
-
-grep -B2 -P '^INVITE sip:'"${bnum}"'@.*\n(([^F].*|F[^r].*|Fr[^o].*|Fro[^m].*|From[^:]|From:.*<sip:'"${anum}"'@.*>.*)\r\n)+\r\n' "${logfile}" | awk '$4 ~ "^VERBOSE" { dt=$1" "$2" "$3 } $1=="Call-ID:" { if (cid != $2) { cid=$2; print dt" "cid; }}'
diff --git a/net-misc/asterisk/files/1.6.2/find_call_sip_trace.sh b/net-misc/asterisk/files/1.6.2/find_call_sip_trace.sh
deleted file mode 100644 (file)
index 5b2e69e..0000000
+++ /dev/null
@@ -1,21 +0,0 @@
-#! /bin/bash
-
-logfile=$1
-callid=$2
-
-function usage()
-{
-       echo "USAGE: $1 logfile Call-ID [Call-ID ...]"
-       exit -1
-}
-
-[ -r "${logfile}" ] || usage $0
-[ -n "${callid}" ] || usage $0
-
-shift; shift;
-while [ $# -gt 0 ]; do
-       callid="${callid}|$1"
-       shift
-done
-
-dos2unix < "${logfile}" | grep -P '^.*\n<--- (SIP read|(Reliably )?(Ret|T)ransmitting) .*\n([^<\n].*\n)*Call-ID: ('"${callid//./\\.}"')\n((|[^<\n].*)\n)*<-+>$|^.* chan_sip.c: (Reliably )?(Ret|T)ransmitting .*\n([^-\n].*\n)*Call-ID: ('"${callid//./\\.}"')\n((|[^-\n].*)\n)*---$'
diff --git a/net-misc/asterisk/files/1.6.2/sip_calc_auth b/net-misc/asterisk/files/1.6.2/sip_calc_auth
deleted file mode 100644 (file)
index 3f050ad..0000000
+++ /dev/null
@@ -1,25 +0,0 @@
-#! /bin/bash
-
-[ $# -lt 7 ] && echo "USAGE: $0 username realm password method uri algorithm nonce" && exit 1
-
-un=$1
-realm=$2
-pw=$3
-method=$4
-uri=$5
-alg=$6
-nonce=$7
-
-echo "Using $un@$realm (secret $pw) for method $method to $uri with nonce $nonce (alg=$alg)"
-
-a1=$un:$realm:$pw
-a2=$method:$uri
-ha1=$(echo -n "$a1" | openssl $alg)
-ha2=$(echo -n "$a2" | openssl $alg)
-resp=$(echo -n "$ha1:$nonce:$ha2" | openssl $alg)
-
-echo "a1=$a1"
-echo "a2=$a2"
-echo "ha1=$ha1"
-echo "ha2=$ha2"
-echo "resp=$resp"
diff --git a/net-misc/asterisk/files/1.8.0/CVS/Entries b/net-misc/asterisk/files/1.8.0/CVS/Entries
deleted file mode 100644 (file)
index 9babafb..0000000
+++ /dev/null
@@ -1,5 +0,0 @@
-/asterisk.confd/1.1/Thu Sep  1 14:09:56 2011//
-/asterisk.initd7/1.1/Wed Aug 28 10:15:35 2013//
-/find_call_ids.sh/1.1/Wed Jun  6 10:07:45 2012//
-/find_call_sip_trace.sh/1.1/Wed Jun  6 10:07:45 2012//
-D
diff --git a/net-misc/asterisk/files/1.8.0/CVS/Repository b/net-misc/asterisk/files/1.8.0/CVS/Repository
deleted file mode 100644 (file)
index 15abfae..0000000
+++ /dev/null
@@ -1 +0,0 @@
-gentoo-x86/net-misc/asterisk/files/1.8.0
diff --git a/net-misc/asterisk/files/1.8.0/CVS/Root b/net-misc/asterisk/files/1.8.0/CVS/Root
deleted file mode 100644 (file)
index f630ad3..0000000
+++ /dev/null
@@ -1 +0,0 @@
-:ext:k_f@cvs.gentoo.org:/var/cvsroot
diff --git a/net-misc/asterisk/files/1.8.0/asterisk.confd b/net-misc/asterisk/files/1.8.0/asterisk.confd
deleted file mode 100644 (file)
index e46ad23..0000000
+++ /dev/null
@@ -1,95 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/asterisk/files/1.8.0/asterisk.confd,v 1.1 2011/09/01 14:09:56 chainsaw Exp $
-
-#
-# Additional options for asterisk
-#
-# see "asterisk -h" for a list of options
-#
-ASTERISK_OPTS=""
-
-#
-# User and group to run asterisk as
-#
-# Value: double-colon separated list of user and group, or empty to run as root:
-#
-#
-# "asterisk:asterisk" to run as user "asterisk" and group "asterisk"
-#
-#          "asterisk" to run as user "asterisk" and all groups that user "asterisk" is a member of
-#
-#         ":asterisk" to run as user "root" and group "asterisk"
-#
-#                  "" to run as user "root" and group "root"
-#
-ASTERISK_USER="asterisk"
-
-#
-# Nicelevel
-#
-# Set the priority of the asterisk process
-#
-# Value: (highest) -20..19 (lowest)
-#
-#ASTERISK_NICE="19"
-
-# Send crash notifications emails to this address
-# (needs a working mail service and /usr/sbin/sendmail to do so (e.g. ssmtp))
-#
-# Value: Email address or empty to disable
-#
-#ASTERISK_NOTIFY_EMAIL="root"
-
-#
-# Send asterisk's output to this terminal
-#
-# Value: Full path to device node or a number
-#
-#ASTERISK_TTY="/dev/tty9"
-
-#
-# Start an asterisk console on the terminal specified by ASTERISK_TTY
-#
-# Warning! Use only for debugging, this is a potential security issue!
-#
-# Value: yes or no/empty
-#
-ASTERISK_CONSOLE="no"
-
-#
-# Maximum size of core files. 
-#
-# Value: Size in bytes, unlimited for no limit or empty to disable.
-# 
-ASTERISK_CORE_SIZE="unlimited"
-
-#
-# ASTERISK_CORE_DIR
-#
-# Value: Directory (will be created if non-existant), default is /tmp
-#
-ASTERISK_CORE_DIR="/var/lib/asterisk/coredump"
-
-#
-# Max number of filedescriptors
-#
-# Value: Number of descriptors
-#
-ASTERISK_MAX_FD="4096"
-
-#
-# Delay time before restarting asterisk after a crash.
-#
-# Value: Number of seconds to sleep after a crash before restarting.
-#
-ASTERISK_RESTART_DELAY=5
-
-#
-# Kill these tasks after asterisk crashed
-#
-# Warning! This will kill _ALL_ tasks with the specified names!
-#
-# Value: Space separated list of names in double quotes (e.g. "mpg123 mad")
-#
-#ASTERISK_CLEANUP_ON_CRASH="mpg123 asterisk-mpg123 mad"
diff --git a/net-misc/asterisk/files/1.8.0/asterisk.initd7 b/net-misc/asterisk/files/1.8.0/asterisk.initd7
deleted file mode 100644 (file)
index a4a27eb..0000000
+++ /dev/null
@@ -1,347 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/asterisk/files/1.8.0/asterisk.initd7,v 1.1 2013/08/28 10:15:35 chainsaw Exp $
-
-extra_started_commands="forcestop reload"
-
-depend() {
-       need net
-       use nscd dns dahdi mysql postgresql slapd capi
-}
-
-is_running() {
-       [ -r "${ast_rundir}/asterisk.pid" ] || return 1
-       PID="$(cat "${ast_rundir}/asterisk.pid")"
-       [ -d "/proc/${PID}" ] || return 1
-       EXE="$(readlink -f /proc/${PID}/exe)"
-       EXE="${EXE% (deleted)}" # in case asterisk got upgraded and we're still looking at an old one.
-       [ "${EXE}" = /usr/sbin/asterisk ] || return 1 # pid got re-used for another process.
-
-       # PID reported in pidfile is active, and is still an asterisk instance.
-       return 0
-}
-
-# Sets up a few variables for us for use
-# ast_instancename: eg, asterisk when RC_SVCNAME=asterisk, or asterisk(foo) when asterisk.foo.
-# ast_rundir: directory to be used as run folder (pid and ctl files).
-# ast_spooldir: 
-setup_svc_variables()
-{
-       local t
-
-       ast_instancename=asterisk
-       ast_rundir=/var/run/${RC_SVCNAME}
-       ast_logdir=/var/log/${RC_SVCNAME}
-       ast_spooldir=/var/spool/${RC_SVCNAME}
-       ast_confdir=/etc/${RC_SVCNAME/.//}
-
-       if [ "${RC_SVCNAME}" != "asterisk" ]; then
-               t="${RC_SVCNAME#asterisk.}"
-               if [ "${RC_SVCNAME}" = "${t}" ]; then
-                       eerror "Invalid SVCNAME of ${RC_SVCNAME}, must be of the format asterisk.name."
-                       return 1
-               fi
-               ast_instancename+="(${t})"
-       fi
-
-       [ -n "${ASTERISK_RUNDIR}" ] && ast_rundir="${ASTERISK_RUNDIR}"
-       [ -n "${ASTERISK_LOGDIR}" ] && ast_logdir="${ASTERISK_LOGDIR}"
-       [ -n "${ASTERISK_SPOOLDIR}" ] && ast_spooldir="${ASTERISK_SPOOLDIR}"
-       [ -n "${ASTERISK_CONFDIR}" ] && ast_confdir="${ASTERISK_CONFDIR}"
-
-       return 0
-}
-
-asterisk_run_loop() {
-       local result=0 signal=0
-
-       echo "Initializing ${ast_instancename} wrapper"
-       OPTS="$*"
-
-       trap "rm -f '${ast_rundir}/wrapper_loop.running'" EXIT
-       touch "${ast_rundir}/wrapper_loop.running"
-
-       while [ -r "${ast_rundir}/wrapper_loop.running" ]; do
-               if [ -n "${TTY}" ]; then
-                       /usr/bin/stty -F "${TTY}" sane
-                       ${NICE} /usr/sbin/asterisk -C "${ast_confdir}/asterisk.conf" ${OPTS} >"${TTY}" 2>&1 <"${TTY}"
-                       result=$?
-               else
-                       ${NICE} /usr/sbin/asterisk -C "${ast_confdir}/asterisk.conf" ${OPTS} 2>&1 >/dev/null
-                       result=$?
-               fi              
-
-               if [ "$result" -eq 0 ]; then
-                       echo "Asterisk terminated normally"
-                       break
-               else
-                       if [ "$result" -gt 128 ]; then
-                               signal="$(expr "$result" - 128)"
-                               MSG="Asterisk terminated with Signal: $signal"
-
-                               CORE_TARGET="core-$(date "+%Y%m%d-%H%M%S")"
-
-                               local CORE_DUMPED=0
-                               if [ -f "${ASTERISK_CORE_DIR}/core" ]; then
-                                       mv "${ASTERISK_CORE_DIR}/core" \
-                                          "${ASTERISK_CORE_DIR}/${CORE_TARGET}"
-                                       CORE_DUMPED=1
-
-                               elif [ -f "${ASTERISK_CORE_DIR}/core.${PID}" ]; then
-                                       mv "${ASTERISK_CORE_DIR}/core.${PID}" \
-                                          "${ASTERISK_CORE_DIR}/${CORE_TARGET}"
-                                       CORE_DUMPED=1
-
-                               fi
-
-                               [ $CORE_DUMPED -eq 1 ] && \
-                                       MSG="${MSG}\n\rCore dumped: ${ASTERISK_CORE_DIR}/${CORE_TARGET}"
-                       else
-                               MSG="Asterisk terminated with return code: $result"
-                       fi
-
-                       # kill left-over tasks
-                       for X in ${ASTERISK_CLEANUP_ON_CRASH}; do
-                               kill -9 "$(pidof "${X}")";
-                       done
-               fi
-
-               [ -n "${TTY}" ] \
-                       && echo "${MSG}" >"${TTY}" \
-                       || echo "${MSG}"
-
-
-               if [ -n "${ASTERISK_NOTIFY_EMAIL}" ] && \
-                  [ -x /usr/sbin/sendmail ]; then
-                       echo -e -n "Subject: Asterisk crashed\r\n${MSG}\r\n" |\
-                                /usr/sbin/sendmail "${ASTERISK_NOTIFY_EMAIL}"
-               fi
-               sleep "${ASTERISK_RESTART_DELAY}"
-               echo "Restarting Asterisk..."
-       done
-
-       echo "Terminating wrapper loop."
-       return 0
-}
-
-start() {
-       local OPTS USER GROUP PID
-       local tmp x
-
-       local OPTS ARGS 
-
-       setup_svc_variables || return $?
-
-       ebegin "Starting ${ast_instancename} PBX"
-
-       eindent
-
-       # filter (redundant) arguments
-       OPTS="$(echo "${ASTERISK_OPTS}" | sed -re "s:-[cfF]::g")"
-
-       # default options
-       OPTS="${OPTS} -f"  # don't fork / detach breaks wrapper script...
-
-       # mangle yes/no options
-       ASTERISK_CONSOLE="$(echo ${ASTERISK_CONSOLE} | tr '[:lower:]' '[:upper:]')"
-       ASTERISK_WAITBOOTED="$(echo "${ASTERISK_WAITBOOTED}" | tr '[:lower:]' '[:upper:]')"
-
-       ASTERISK_RESTART_DELAY="$(echo "${ASTERISK_RESTART_DELAY}" | sed -re 's/^([0-9]*).*/\1/')"
-       [ -z "${ASTERISK_RESTART_DELAY}" ] && ASTERISK_RESTART_DELAY=5
-
-       if [ -n "${ASTERISK_CORE_SIZE}" ] &&
-          [ "${ASTERISK_CORE_SIZE}" != "0" ]; then
-               ulimit -c ${ASTERISK_CORE_SIZE}
-
-               if [ -n "${ASTERISK_CORE_DIR}" ] && \
-                  [ ! -d "${ASTERISK_CORE_DIR}" ]
-               then
-                       mkdir -m750 -p "${ASTERISK_CORE_DIR}"
-
-                       if [ -n "${ASTERISK_USER}" ]; then
-                               chown -R "${ASTERISK_USER}" "${ASTERISK_CORE_DIR}"
-                       fi
-               fi
-               ASTERISK_CORE_DIR="${ASTERISK_CORE_DIR:-/tmp}"
-
-               cd "${ASTERISK_CORE_DIR}"
-               einfo "Core dump size            : ${ASTERISK_CORE_SIZE}"
-               einfo "Core dump location        : ${ASTERISK_CORE_DIR}"
-
-               OPTS="${OPTS} -g"
-       fi
-
-       if [ -n "${ASTERISK_MAX_FD}" ]; then
-               ulimit -n ${ASTERISK_MAX_FD}
-               einfo "Max open filedescriptors  : ${ASTERISK_MAX_FD}"
-       fi
-
-       if [ -n "${ASTERISK_NICE}" ]; then
-               if [ ${ASTERISK_NICE} -ge -20 ] && \
-                  [ ${ASTERISK_NICE} -le  19 ]; then 
-                       einfo "Nice level                : ${ASTERISK_NICE}"
-                       NICE="nice -n ${ASTERISK_NICE} --"
-               else
-                       eerror "Nice value must be between -20 and 19"
-                       return 1
-               fi
-       else
-               NICE=""
-       fi
-
-       if [ -n "${ASTERISK_NOTIFY_EMAIL}" ]; then
-               if [ -x /usr/sbin/sendmail ]; then
-                       einfo "Email notifications go to : ${ASTERISK_NOTIFY_EMAIL}"
-               else
-                       ewarn "Notifications disabled, /usr/sbin/sendmail doesn't exist or is not executable!"
-                       unset ASTERISK_NOTIFY_EMAIL
-               fi
-       fi
-
-       if [ -n "${ASTERISK_TTY}" ]; then
-               for x in ${ASTERISK_TTY} \
-                        /dev/tty${ASTERISK_TTY} \
-                        /dev/vc/${ASTERISK_TTY}
-               do
-                       if [ -c "${x}" ]; then
-                               TTY="${x}"
-                       fi
-               done
-               [ -n "${TTY}" ] && \
-                       einfo "Messages are sent to      : ${TTY}"
-       fi
-
-       if [ "${ASTERISK_CONSOLE}" = "YES" ] && [ -n "${TTY}" ]; then
-               einfo "Starting Asterisk console : ${ASTERISK_CONSOLE}"
-               OPTS="${OPTS} -c"
-       fi
-
-       if [ -n "${ASTERISK_USER}" ]; then
-               USER="$(echo $ASTERISK_USER | sed 's/:.*//')"
-               GROUP="$(echo $ASTERISK_USER | awk -F: '/.*:.*/ { print $2 }')"
-               if [ -n "${USER}" ]; then
-                       if ! getent passwd "${USER}" &>/dev/null; then
-                               eerror "Requested to run asterisk as ${USER}, which doesn't exist."
-                               return 1
-                       fi
-                       OPTS="${OPTS} -U ${USER}"
-               fi
-               if [ -n "${GROUP}" ]; then
-                       if ! getent group "${GROUP}" &>/dev/null; then
-                               eerror "Requested to run asterisk with group ${USER}, which doesn't exist."
-                               return 1
-                       fi
-                       OPTS="${OPTS} -G ${GROUP}"
-                       GROUP=":${GROUP}"       # make it look nice...
-               fi
-               checkpath -d -m 0755 -o ${USER}${GROUP} "${ast_logdir}" "${ast_rundir}" "${ast_spooldir}"
-               find "${ast_logdir}" "${ast_rundir}" "${ast_spooldir}" ! -user "${USER}" | while read element; do
-                       ewarn "${USER} is not the owner of $element, or permissions are insufficient, fixing."
-                       chown ${USER} "${element}"
-                       chmod u+rX "${element}"
-               done;
-               einfo "Starting asterisk as      : ${USER}${GROUP}"
-       else
-               checkpath -d -m 0755 -o root:root "${ast_logdir}" "${ast_rundir}"
-               ewarn "Starting asterisk as root is not recommended."
-       fi
-
-       asterisk_run_loop ${OPTS} 2>&1 | logger -t "wrapper:${ast_instancename}" &
-       result=$?
-
-       if [ $result -eq 0 ]; then
-               # 2 seconds should be enough for asterisk to start
-               sleep 2 
-               is_running
-               result=$?
-
-               [ $result -eq 0 ] || wrapperstop
-       fi
-
-       eoutdent
-       eend $result
-
-       if [ $result -eq 0 -a "${ASTERISK_WAITBOOTED}" = "YES" ]; then
-               ebegin "Waiting for ${ast_instancename} to fully boot"
-               /usr/sbin/asterisk -C "${ast_confdir}/asterisk.conf" -r -x "core waitfullybooted" &>/dev/null
-               eend $?
-       fi
-
-       return $result
-}
-
-wrapperstop() {
-       # Accomodate system upgrades (so a previous version of the wrapper script that still uses a pid file may be running).
-       if [ -r "${ast_rundir}/wrapper_loop.pid" ]; then
-               ebegin "Killing wrapper script"
-               kill "$(cat /var/run/asterisk/wrapper_loop.pid)"
-               eend $?
-       fi
-
-       # The new one (due to "hardened" requirements) uses a simpler
-       # flag to indicate running or shutting down.
-       if [ -r "${ast_rundir}/wrapper_loop.running" ]; then
-               ebegin "Signalling wrapper script to terminate"
-               rm "${ast_rundir}/wrapper_loop.running"
-               eend $?
-       fi
-
-       return 0
-}
-
-forcestop() {
-       setup_svc_variables || return $?
-
-       # Just to be sure - when we want to forcestop we should make it all tear down.
-       wrapperstop
-
-       ebegin "Stopping asterisk PBX"
-       start-stop-daemon --stop --pidfile /var/run/asterisk/asterisk.pid
-       eend $?
-}
-
-stop() {
-       setup_svc_variables || return $?
-
-       wrapperstop
-
-       if ! is_running; then
-               eerror "Asterisk is not running!"
-               return 0
-       fi
-       
-       ebegin "Stopping asterisk PBX gracefully"
-       /usr/sbin/asterisk -C "${ast_confdir}/asterisk.conf" -r -x "core stop gracefully" &>/dev/null
-       # Now we have to wait until asterisk has _really_ stopped.
-       sleep 1
-       if is_running; then
-               einfon "Waiting for asterisk to shutdown ."
-               local cnt=0
-               while is_running; do
-                       cnt="$(expr $cnt + 1)"
-                       if [ $cnt -gt 60 ] ; then
-                               # Waited 120 seconds now. Fail.
-                               echo
-                               eend 1 "Failed."
-                               return
-                       fi
-                       sleep 2
-                       echo -n "."
-               done
-               echo
-       fi
-       eend 0
-}
-
-reload() {
-       setup_svc_variables || return $?
-
-       if is_running; then
-               ebegin "Forcing asterisk to reload configuration"
-               /usr/sbin/asterisk -C "${ast_confdir}/asterisk.conf" -r -x "module reload" &>/dev/null
-               eend $?
-       else
-               eerror "Asterisk is not running!"
-       fi
-}
diff --git a/net-misc/asterisk/files/1.8.0/find_call_ids.sh b/net-misc/asterisk/files/1.8.0/find_call_ids.sh
deleted file mode 100644 (file)
index 321f3da..0000000
+++ /dev/null
@@ -1,68 +0,0 @@
-#! /bin/bash
-
-logfile=$1
-anum=$2
-bnum=$3
-
-function usage()
-{
-       echo "USAGE: $1 logfile anum bnum"
-       exit -1
-}
-
-[ -r "${logfile}" ] || usage $0
-[ -n "${anum}" ] || usage $0
-[ -n "${bnum}" ] || usage $0
-
-#echo "Finding calls from '${anum}' to '${bnum}' in ${logfile}."
-
-# modes:
-# 0 - not processing an INVITE.
-# 1 - processing an INVITE.
-# 2 - from matched (processing).
-dos2unix < "${logfile}" | awk '
-       BEGIN { mode = 0 }
-       mode==0 && $4~"^VERBOSE" {
-               dt=$1" "$2" "$3
-       }
-
-       mode==0 && $1=="INVITE" && $2 ~ "^sip:'"${bnum}"'@" {
-               #print
-
-               mode=1
-
-               split($2, a, "[:@]")
-               bnum=a[2]
-       }
-
-       mode==1 && $1=="From:" {
-               #print
-               if ($3 ~ "^<sip:'"${anum}"'@.*>") {
-                       mode=2
-                       split($3, a, "[:@]")
-                       anum=a[2]
-               } else {
-                       #print "From does not match ... leaving block."
-                       mode = 0
-               }
-       }
-
-       mode!=0 && $1=="Call-ID:" {
-               callid=$2
-
-               if (NF!=2) {
-                       print "WTF @ Call-ID header having NF!=2"
-               }
-       }
-
-       mode==1 && $0=="" {
-               #print "Leaving block (no match)"
-               mode = 0
-       }
-
-       mode==2 && $0=="" {
-               #print "Leaving block (match)"
-               print dt " " anum " " bnum " " callid
-               mode = 0
-       }
-'
diff --git a/net-misc/asterisk/files/1.8.0/find_call_sip_trace.sh b/net-misc/asterisk/files/1.8.0/find_call_sip_trace.sh
deleted file mode 100644 (file)
index 06ae824..0000000
+++ /dev/null
@@ -1,76 +0,0 @@
-#! /bin/bash
-
-logfile=$1
-callid=$2
-
-function usage()
-{
-       echo "USAGE: $1 logfile Call-ID [Call-ID ...]"
-       exit -1
-}
-
-[ -r "${logfile}" ] || usage $0
-[ -n "${callid}" ] || usage $0
-
-shift; shift;
-while [ $# -gt 0 ]; do
-       callid="${callid}|$1"
-       shift
-done
-
-# modes:
-# 0 - searching for SIP start block ...
-# 1 - transmit of sorts
-# 2 - receive
-
-dos2unix < "${logfile}" | awk '
-       BEGIN { mode = 0 }
-       mode==0 && $4~"^VERBOSE" {
-               dt=$1" "$2" "$3
-       }
-
-       mode!=0 && $1 == "Call-ID:" {
-               #print
-
-               if ($2 ~ /('"${callid}"')/) {
-                       callidmatch=1
-               } else {
-                       #print $2" does not match ^('"${callid}"')$"
-                       mode=0
-               }
-       }
-
-       (mode==1 && $0=="---") || (mode==2 && $0=="<------------->") {
-               if (callidmatch) {
-                       print dt" "sipmode"\n"pckt"---"
-               }
-
-               mode=0
-       }
-
-       mode!=0 {
-               pckt = pckt $0 "\n"
-       }
-
-       mode==0 && $0 ~ "chan_sip[.]c: .*[tT]ransmitting" {
-               #print
-
-               if ($6 == "Retransmitting") {
-                       sipmode = $6" "$7" to "$NF
-               } else {
-                       sipmode = "Transmitting to "$NF
-               }
-
-               mode=1
-               pckt=""
-               callidmatch=0
-       }
-
-       mode==0 && $0 ~ "SIP read from" {
-               #print
-               mode=2
-               pckt=""
-               callidmatch=0
-               sipmode="Received from "$5":"
-       }
-'